# usage: make -f makefile-rgf.mac [all \ universal \ clean ]
# rgf, 2011-01-02

INC_PATH = -I. -I/System/Library/Frameworks/JavaVM.framework/headers

INC_PATH_ORX = -I/opt/ooRexx/include $(INC_PATH)

# LIB_PATH = -L/opt/ooRexx/lib/ooRexx
LIB_PATH = -L/opt/ooRexx-i386/lib/ooRexx -L/opt/ooRexx-x86_64/lib/ooRexx

CFLAGS = -fPIC
LFLAGS = -shared

# --------------------------------------------------------


all: i386 x86_64 universal


i386: BSF4ooRexx.cc
# BSF4ooRexx-mac-i386.o: BSF4ooRexx.cc
	g++ -c $(CFLAGS) $(INC_PATH) -I/opt/ooRexx-i386/include -m32 -arch i386 -DUSE_OREXX -DUNIX -DBSF4REXX_32_BIT -oBSF4ooRexx-mac-i386.o BSF4ooRexx.cc

	g++ -dynamiclib $(LFLAGS) -o libBSF4ooRexx-i386.dylib BSF4ooRexx-mac-i386.o /opt/ooRexx-i386/lib/ooRexx/librexx.dylib /opt/ooRexx-i386/lib/ooRexx/librexxapi.4.dylib -framework JavaVM -arch i386



x86_64: BSF4ooRexx.cc
# BSF4ooRexx-mac-x86_64.o: BSF4ooRexx.cc
	g++ -c $(CFLAGS) $(INC_PATH) -I/opt/ooRexx-x86_64/include -m64 -arch x86_64 -DUSE_OREXX -DUNIX -DBSF4REXX_64_BIT -oBSF4ooRexx-mac-x86_64.o BSF4ooRexx.cc

	g++ -dynamiclib $(LFLAGS) -o libBSF4ooRexx-x86_64.dylib BSF4ooRexx-mac-x86_64.o /opt/ooRexx-x86_64/lib/ooRexx/librexx.dylib /opt/ooRexx-x86_64/lib/ooRexx/librexxapi.4.dylib -framework JavaVM -arch x86_64



universal: BSF4ooRexx.cc i386 x86_64 
	lipo -create -output libBSF4ooRexx.dylib -arch x86_64 libBSF4ooRexx-x86_64.dylib -arch i386 libBSF4ooRexx-i386.dylib

#	lipo -create -output libBSF4ooRexx.dylib -arch i386 libBSF4ooRexx-i386.dylib -arch x86_64 libBSF4ooRexx-x86_64.dylib

#	cp libBSF4ooRexx.dylib libBSF4ooRexx.jnilib




.PHONY: clean
clean: 
	rm -f *.dylib
	rm -f *.jnilib
	rm -f *.o
